Subject: bug#20623: XML and HTML files with encoding/charset="utf-8" declaration loose BOM; Coding system is reset from utf-8-with-signature to utf-8 on save

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Aug 2018 08:45:15 -0400

>> > Isn't it better to fix this in sgml-xml-auto-coding-function?  That's
>> > where the root cause is, AFAIU.
>> I'd expect the same problem would affect all other uses.
> Not sure what you meant by "all other uses".  Could you please
> elaborate?

Your commit ec6f588940e51013435408a456c10d33ddf98fb2 answers that
question: at least sgml-html-meta-auto-coding-function is one of those
"other uses".

> > And I don't understand the comment about latin-1-mac: I don't think we
> > have such problems in Emacs.  The -with-signature variety is
> > different, because it is not about EOL format.
> You might be right, but I don't know where/how this is handled.

I still don't know where the EOL part is handled.

        Stefan